<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>StockSymbol.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">team-3-project2-public</a> &gt; <a href="index.source.html" class="el_package">dev.team3.models</a> &gt; <span class="el_source">StockSymbol.java</span></div><h1>StockSymbol.java</h1><pre class="source lang-java linenums">package dev.team3.models;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import org.springframework.stereotype.Component;

import javax.persistence.*;
import java.util.Objects;

@Entity
@Component
@JsonIgnoreProperties({&quot;handler&quot;, &quot;hibernateLazyInitializer&quot;})
@Table(name=&quot;gamestocks&quot;)
public class StockSymbol {


    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name=&quot;id&quot;)
    private int id;

    @Column(name=&quot;symbol&quot;)
    private String symbol;

    public StockSymbol() {
<span class="fc" id="L26">        super();</span>
<span class="fc" id="L27">    }</span>
<span class="fc" id="L28">    public StockSymbol(String symbol){</span>
<span class="fc" id="L29">        this.symbol = symbol;</span>
<span class="fc" id="L30">    }</span>

    public int getId() {
<span class="nc" id="L33">        return id;</span>
    }

    public void setId(int id) {
<span class="nc" id="L37">        this.id = id;</span>
<span class="nc" id="L38">    }</span>

    public String getSymbol() {
<span class="fc" id="L41">        return symbol;</span>
    }

    public void setSymbol(String symbol) {
<span class="nc" id="L45">        this.symbol = symbol;</span>
<span class="nc" id="L46">    }</span>

    @Override
    public boolean equals(Object o) {
<span class="nc bnc" id="L50" title="All 2 branches missed.">        if (this == o) return true;</span>
<span class="nc bnc" id="L51" title="All 4 branches missed.">        if (o == null || getClass() != o.getClass()) return false;</span>
<span class="nc" id="L52">        StockSymbol that = (StockSymbol) o;</span>
<span class="nc bnc" id="L53" title="All 4 branches missed.">        return id == that.id &amp;&amp; Objects.equals(symbol, that.symbol);</span>
    }

    @Override
    public int hashCode() {
<span class="fc" id="L58">        return Objects.hash(id, symbol);</span>
    }

    @Override
    public String toString() {
<span class="nc" id="L63">        return &quot;StockSymbol{&quot; +</span>
                &quot;id=&quot; + id +
                &quot;, symbol='&quot; + symbol + '\'' +
                '}';
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>